package com.fs.sms.service;
import com.fs.common.core.domain.R;
import com.fs.common.utils.sign.Md5Utils;
import com.fs.sms.service.impl.SmsTServiceImpl;


public class test {
    public static void main(String[] args) {
        String zUCnht7v = Md5Utils.hash("y3ebH2K5");
        System.out.println(zUCnht7v);

    }


    public static void send(){
        SmsTServiceImpl smsService = new SmsTServiceImpl();
        smsService.sendSms("dh49751","af014f2e98511f1e9bd922a4ff27dd19","尊敬的客户您好！感谢您对御君方的信任，您的订单已订购成功，快递会在2-5个工作日内到达，请保持电话畅通，注意查收！","17302557020");
    }

    public static  void query(){
        SmsTServiceImpl smsService = new SmsTServiceImpl();
        R r = smsService.querySms("dh49751", "af014f2e98511f1e9bd922a4ff27dd19", "20240321", "20240321", "1");
    }

    public static void add(){
        SmsTServiceImpl smsService = new SmsTServiceImpl();
        R r = smsService.uploadTemplate("dh49751", "af014f2e98511f1e9bd922a4ff27dd19", "你好，这是白模板${1,10}示例", "【zz】", "1");
    }

    public static void show(){
        SmsTServiceImpl smsService = new SmsTServiceImpl();
        R r = smsService.showTemplate("dh49751", "af014f2e98511f1e9bd922a4ff27dd19", "2c9081968d62862f018e6572d22f2dbf");
    }

    public static void update(){
        SmsTServiceImpl smsService = new SmsTServiceImpl();
        R r = smsService.updateTemplate("dh49751", "af014f2e98511f1e9bd922a4ff27dd19", "【xxxx】你好，这是sbsasa模板${1,10}示例", "2c9081968d62862f018e6572d22f2dbf", "1");
    }

    public static void delete(){
        SmsTServiceImpl smsService = new SmsTServiceImpl();
        R r = smsService.deleteTemplate("dh49751", "af014f2e98511f1e9bd922a4ff27dd19", "2c9081968d62862f018e6572d22f2dbf");
    }
}
